package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 团购活动商品SKU
 *
 * @author SunLY
 * @version 1.0
 * @date 2024/11/26 16:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductSkuInfoModel {
    /**
     * 商品规格表ID
     */
    private Long id;
    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
